## org.jCharts.properties
Class AxisProperties

    java.lang.Object
      org.jCharts.properties.Properties
          org.jCharts.properties.AxisProperties

All Implemented Interfaces:
  Serializable, HTMLTestable

    public final class AxisProperties

extends Properties
implements HTMLTestable

See Also:
  Serialized Form

Field Summary
`private boolean` `isPlotHorizontal`
`private boolean` `xAxisLabelsAreVertical`
`private AxisTypeProperties` `xAxisProperties`
`private AxisTypeProperties` `yAxisProperties`

Fields inherited from class org.jCharts.properties.Properties
`DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`AxisProperties()`
`AxisProperties(boolean isHorizontalPlot)`
`AxisProperties(LabelAxisProperties xAxis, LabelAxisProperties yAxis)`

Method Summary
`AxisTypeProperties` `getXAxisProperties()`
`AxisTypeProperties` `getYAxisProperties()`
`boolean` `isPlotHorizontal()`
`void` `setXAxisLabelsAreVertical(boolean xAxisLabelsAreVertical)`
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`boolean` `xAxisLabelsAreVertical()`

Methods inherited from class org.jCharts.properties.Properties
`getBackgroundPaint, setBackgroundPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xAxisProperties

    private AxisTypeProperties xAxisProperties

### yAxisProperties

    private AxisTypeProperties yAxisProperties

### isPlotHorizontal

    private boolean isPlotHorizontal

### xAxisLabelsAreVertical

    private boolean xAxisLabelsAreVertical

Constructor Detail

### AxisProperties

    public AxisProperties(LabelAxisProperties xAxis,
                          LabelAxisProperties yAxis)

Parameters:
  `xAxis` -
  `yAxis` -

### AxisProperties

    public AxisProperties(boolean isHorizontalPlot)

Parameters:
  `isHorizontalPlot` -

### AxisProperties

    public AxisProperties()

Method Detail

### getXAxisProperties

    public AxisTypeProperties getXAxisProperties()

### getYAxisProperties

    public AxisTypeProperties getYAxisProperties()

### isPlotHorizontal

    public boolean isPlotHorizontal()

### xAxisLabelsAreVertical

    public boolean xAxisLabelsAreVertical()

### setXAxisLabelsAreVertical

    public void setXAxisLabelsAreVertical(boolean xAxisLabelsAreVertical)

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `Properties`
  Parameters:
    `htmlGenerator` -